# PhasicFlow: src/phasicFlow/types/triple/tripleMath.hpp File Reference

tripleMath.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | T3Func(fnName)
#define | T3Func2(fnName)

## Macro Definition Documentation

## T3Func

#define T3Func | ( |  | fnName | ) |

Value:
template<typename T> \
INLINE_FUNCTION_HD pFlow::triple<T> pFlow::fnName(const pFlow::triple<T>& v) \
{ \
return pFlow::triple<T>(fnName(v.x_), fnName(v.y_), fnName(v.z_)); \
}

Definition at line 21 of file tripleMath.hpp.

## T3Func2

#define T3Func2 | ( |  | fnName | ) |

Value:
template<typename T> \
INLINE_FUNCTION_HD pFlow::triple<T> pFlow::fnName(const pFlow::triple<T>& arg1, const pFlow::triple<T>& arg2) \
{ \
return pFlow::triple<T>(fnName(arg1.x_, arg2.x_), fnName(arg1.y_,arg2.y_), fnName(arg1.z_, arg2.z_)); \
}

Definition at line 28 of file tripleMath.hpp.

pFlow::triple
Definition: triple.hpp:37